Subject: bug#9738: 24.0.90; Crash at overlay-put-ov 'after-string

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2011 22:20:10 +0200

> Date: Wed, 12 Oct 2011 19:59:54 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Wed, 12 Oct 2011 09:43:50 -0700 (PDT)
> > From: Daniel Clemente <[email-masked]>
> > 
> > 1. emacs -Q
> > 2. Eval the following:
> >   (setq ov (make-overlay 1 2))
> >   (overlay-put ov 'after-string "\n111\n2" )
> > 3. Crash. This stacktrace appears under gdb:
> 
> Please see if the patch below fixes the problem.  I cannot reproduce
> the crash with your recipe, so I cannot verify that it's fixed by this
> patch.

Actually, I think the latest bzr (as of revision 106070) fixes the
crash.  Please try that, and thanks.